Create Zone Hold
Enforce a zone hold on the zone, blocking the creation and activation of zones with this zone’s hostname. Zone holds cannot be enabled on CDN-only zones.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Accepted Permissions (at least one required)
Query Parameters
If provided, the zone hold will extend to block any subdomain of the given zone, as well as SSL4SaaS Custom Hostnames. For example, a zone hold on a zone with the hostname ‘example.com’ and include_subdomains=true will block ‘example.com’, ‘staging.example.com’, ‘api.staging.example.com’, etc.
Create Zone Hold
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/hold \
-X POST \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"hold": true,
"hold_after": "2023-01-31T15:56:36+00:00",
"include_subdomains": "include_subdomains"
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"hold": true,
"hold_after": "2023-01-31T15:56:36+00:00",
"include_subdomains": "include_subdomains"
},
"success": true
}